/*********************************************
* Prototype of styles for horizontal CSS-menu
*********************************************/

/* menu::base */
div #menu {
	height: 40px;
	margin: 10px auto 0px auto;
	background:url(images/nav-bg.png) repeat-x;
	/*TEST...background: #000 url(../shared/images/background_dark01.jpg) top repeat;*/
}

div #menu ul {
	margin: 0;
	padding: 0;
	list-style: none;
	float: left;
}
div #menu ul.menu {
	padding-left: 50px;
}

div #menu li {
	position: relative;
	z-index: 9;
	margin: 0;
	padding: 0;
	display: block;
	float: left;
}
   
div #menu li:hover>ul {
    left: -2px;
}

div #menu li div {
	list-style: none;
	float: left;
	position: absolute;
	top: 40px;
	left: 0;
	width: 208px;
	z-index: 11;
	visibility: hidden;
	padding: 0 0 9px 7px;
	background: url(images/submenu-bottom.png) no-repeat 7px bottom;
	margin: 0 0 0 -9px;
}
div #menu li:hover>div {
    visibility: visible;
}

div #menu li.current a {}

/* menu::level1 */
div #menu a {
	position: relative;
	z-index: 10;
	height: 55px;
	display: block;
	float: left;	
	padding: 0 15px 0 15px;
	line-height: 55px;
	text-decoration: none;
}
div #menu span {
	font: normal 12px Tahoma, 'Lucida Sans Unicode','Lucida Grande', Helvetica, Arial, sans-serif;
	text-align: left;
	padding-top: 12px;
	color: #888;
	font-weight: bold;
	text-transform: uppercase;
	display: block;
	cursor: pointer;
	background-repeat: no-repeat;		
}
div #menu ul a:hover span {
	color: #FFF;
}

div #menu li { background: url(images/nav_separator.png) top left no-repeat; }
div #menu li.last span{
	background: url(images/nav_separator.png) top right no-repeat;
	padding: 12px 15px 16px 0px;
}

/* menu::level2 */
div #menu ul ul li {
	background: url(images/sep.gif) left bottom repeat-x;
	padding: 4px 0;
	z-index: 9;	
}
div #menu ul ul {
	z-index: 12;	
	padding: 0;
	/*background: rgb(32,32,32) url(images/nav_dropdown_grad.png) right top no-repeat;*/
	background: #2a2a2a;
	margin-top:0px;
	margin-left:4px;
	margin-right:5px;
}
div #menu ul ul a {
	width: 184px;
	padding: 0px 7px 3px 8px;
	height: auto;
	float: none;
	display: block;
	background:none;
	margin-bottom: 2px;
	z-index: -1;
}
div #menu ul ul a span {
	padding: 0 10px 0px 10px;
	line-height: 20px;
	color: #888;
	font-weight:normal;
	text-transform: none;
	background:none;
}
div #menu ul ul a:hover {
	background: url(images/submenu-selected-bottom.gif) no-repeat 8px bottom;
	/*background: #333;*/
}
div #menu ul ul a:hover span {
	background: url(images/submenu-selected-top.gif) no-repeat 0px 0px;
	/*background: #333;*/
	color: #F00;
}

div #menu ul ul li.last { background: none; }
div #menu ul ul li {
	width: 100%;
}

/* menu::level3 */
div #menu ul ul div {
	width: 208px;
	margin: -50px 0 0 190px !important;
	height: auto;
	/*padding: 0 0 9px 3px;*/
}
div #menu ul ul ul {
	/*padding-right:1px;*/
}

/* lava lamp */
div #menu li.back {
}
div #menu li.back .left {
}